Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]



Système Ubuntu 8.04.3

:/ Mierdas !

Du coup, j'ai posté mon problème dans les forums de linuxsampler .
La réponse s'est faire suivre quelques jours après.

Le problème est que les paquets Debian / Ubuntu sont préparés pour la version Lenny / Jaunty
Alors que mon système semble basé sur des versions plus anciennes.

Nous allons voir ça ici :
Cuse, qui est développeur de linuxsampler, me conseillel a voie de la compilation :
http://www.linuxsampler.org/debian.html

Le programme est celui-ci :
v0.1 installation des pré-requis
v0.2 téléchargement des sources de libgig
v0.3 compilation de libgig
v0.4 installation de libgig
v0.5 téléchargement des sources de linuxsampler
v0.6 compilation de linuxsampler
v0.7 installation de linuxsampler
v0.8 QSampler, interface graphique
v0.9 test
v1.0 conclusion

v0.1 installation des pré-requis

Je suis donc les conseils de la page http://www.linuxsampler.org/debian.html
et j'installe, à l'aide de synaptic, :
  • g++ (the GNU C++ compiler, 4.x recommended)
  • debhelper (Debian package build tools)
  • pkg-config (manages compiler and linker flags for libraries)
  • automake (automatic Makefile builder, 1.5 or higher required) la 1.9
  • autoconf (automatic configure script builder)
  • libtool (generic library build tool)
  • fakeroot (required to build Debian packages as ordinary user)

v0.2 téléchargement des sources de libgig

Direction la page de téléchargement officielle des paquets de linuxsampler
ici : http://linuxsampler.org/downloads.html
Plus précisément http://download.linuxsampler.org/packages/libgig-3.3.0.tar.bz2

v0.3 compilation de libgig

Dés-archivage/dé-paquatage
Ouverture d'une console
Édition du fichier de configuration de la compilation : gedit debian/rules

dpkg-buildpackage -rfakeroot -b
Il me jette en disant : dpkg-checkbuilddeps : dépendances de construction non trouvées : libsndfile1-dev doxygen uuid-dev
On retourne dans synaptic
J'installe les paquets libsndfile1-dev doxygen uuid-dev
Et je relance un dpkg-buildpackage -rfakeroot -b
Là, ça fonctionne, attention, ça va prendre un peu de temps, c'est le moment de se faire un thé.
Le programme me signale qu'il y a un problème mineur :
dpkg-shlibdeps: avertissement: debian/gigtools/usr/bin/gigextract ne devrait pas être lié avec libuuid.so.1 (il n'utilise aucun de ses symboles).
dpkg-shlibdeps: avertissement: debian/gigtools/usr/bin/dlsdump ne devrait pas être lié avec libuuid.so.1 (il n'utilise aucun de ses symboles).
dpkg-shlibdeps: avertissement: debian/gigtools/usr/bin/gigdump ne devrait pas être lié avec libuuid.so.1 (il n'utilise aucun de ses symboles).
dpkg-shlibdeps: avertissement: debian/gigtools/usr/bin/rifftree ne devrait pas être lié avec libuuid.so.1 (il n'utilise aucun de ses symboles).
dh_gencontrol
dpkg-gencontrol: avertissement: variable de substitution inconnue ${misc:Depends}
dpkg-gencontrol: avertissement: variable de substitution inconnue ${misc:Depends}
dh_md5sums
dh_builddeb
dpkg-deb : construction du paquet « libgig-dev » dans « ../libgig-dev_3.3.0-1_i386.deb ».
dpkg-deb : construction du paquet « libgig6 » dans « ../libgig6_3.3.0-1_i386.deb ».
dpkg-deb : construction du paquet « gigtools » dans « ../gigtools_3.3.0-1_i386.deb ».
 dpkg-genchanges -b >../libgig_3.3.0-1_i386.changes
dpkg-genchanges: envoi d'un binaire - aucune inclusion de code source
 signfile libgig_3.3.0-1_i386.changes
gpg: « Christian Schoenebeck <cuse@users.sourceforge.net> » a été ignoré: la clé secrète n'est pas disponible
gpg: [stdin]: clearsign failed: la clé secrète n'est pas disponible

dpkg-buildpackage: envoi d'un binaire seulement (aucune inclusion de code source)
dpkg-buildpackage: avertissement: Échec de signature du fichier .changes


Ceci n'est pas grave.
Si on remonte d'un cran dans la hiérarchie du répertoire, on y trouve 3 fichier.deb.

v0.4 installation de libgig

Nous allons donc installer ces 3 paquets debian (les fichiers.deb)
On passe en root :
sudo su

Puis (attention à remplacer par le bon numéro de version:
dpkg -i libgig6_3.3.0-1_i386.deb  libgig-dev_3.3.0-1_i386.deb
  dpkg -i gigtools_3.3.0-1_i386.deb

OK



v0.5 téléchargement des sources de linuxsampler

On retourne à la page de téléchargement officielle des paquets de linuxsampler
ici : http://linuxsampler.org/downloads.html
Plus précisément http://download.linuxsampler.org/packages/linuxsampler-1.0.0.tar.bz2


v0.6 compilation de linuxsampler

Dés-archivage/dé-paquatagecd linu
Ouverture d'une console
Édition du fichier de configuration de la compilation : gedit debian/rules

dpkg-buildpackage -rfakeroot -b
Là aussi, ça va prendre un peu de temps

erreur sqlite
checking for SQLITE3... no
*** Required sqlite version not found!
*** You need to have sqlite version 3.3 or higher
*** for instruments database support to be enabled.
*** Support for instruments DB will be disabled!


il me jette avec
libtool: link: cannot find the library `/usr/lib/libsamplerate.la' or unhandled argument `/usr/lib/libsamplerate.la'
make[4]: *** [liblinuxsampler.la] Erreur 1
make[4]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0/src »
make[3]: *** [all-recursive] Erreur 1
make[3]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0/src »
make[2]: *** [all-recursive] Erreur 1
make[2]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0 »
make[1]: *** [all] Erreur 2
make[1]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0 »
make: *** [build-stamp] Erreur 2
dpkg-buildpackage: échec: debian/rules build a produit une erreur de sortie de type 2

après recherche sur mon système :
olinuxx@studiolinuxx:~/Desktop/linuxsampler-1.0.0$ sudo find / -name libsamplerate
[sudo] password for olinuxx: 
olinuxx@studiolinuxx:~/Desktop/linuxsampler-1.0.0$

Je comprend qu'il me manque quelque chose
Allez, synaptic est peut être mon ami ?!
libsamplerate0 est déjà installé, je le réinstalle, et j'installe également libsamplerate0-dev qui n'y était pas

Je relance la compil'
Et là, il me jette avec :
/usr/bin/ld: cannot find -lcelt
collect2: ld returned 1 exit status
make[4]: *** [liblinuxsampler.la] Erreur 1
make[4]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0/src »
make[3]: *** [all-recursive] Erreur 1
make[3]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0/src »
make[2]: *** [all-recursive] Erreur 1
make[2]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0 »
make[1]: *** [all] Erreur 2
make[1]: quittant le répertoire « /home/olinuxx/Desktop/linuxsampler-1.0.0 »
make: *** [build-stamp] Erreur 2
dpkg-buildpackage: échec: debian/rules build a produit une erreur de sortie de type 2


Alors, direction Synaptic, re-installation de libcelt0 et installation de libcelt-dev

Je relance dpkg-buildpackage -rfakeroot -b
et ce coup-ci c'est ok :-)

Si on remonte d'un cran dans la hiérarchie du répertoire, on y trouve 3 nouveaux fichiers.deb.

v0.7 installation de linuxsampler


Nous allons donc installer ces 3 paquets debian (les fichiers.deb)
On passe en root :
sudo su

Puis (attention à remplacer par le bon numéro de version):
dpkg -i liblinuxsampler_1.0.0-1_i386.deb liblinuxsampler-dev_1.0.0-1_i386.deb 
dpkg -i linuxsampler_1.0.0-1_i386.deb

OK

Voilà, toute la machinerie de derrière, le BackEnd, est installée.
Il nous faut maintenant installer le devant de la scène', le FrontEnd''.
Il y en a plusieurs comme indiqué sur la page http://www.linuxsampler.org/debian.html .
Je choisi d'installer QSampler.

v0.8 QSampler

La première étape consiste à installer liblscp.
http://linuxsampler.org/downloads.html
Il faut téléchargé ceci : http://download.linuxsampler.org/packages/liblscp-0.5.6.tar.gz
Dés-archivage/dé-paquetage
Ouverture d'une console
On rentre dans le répertoire de liblscp
dpkg-buildpackage -rfakeroot -b
sudo dpkg -i liblscp_0.5.6-1_i386.deb liblscp-dev_0.5.6-1_i386.deb

Ensuite, on peux installer QSampler
Téléchargement http://download.linuxsampler.org/packages/qsampler-0.2.2.tar.gz
Dés-archivage/dé-paquetage
Ouverture d'une console
On rentre dans le répertoire de Qsampler
dpkg-buildpackage -rfakeroot -b
sudo dpkg -i qsampler_0.2.2-1_i386.deb

v0.9 test

Je lance QJackCtl,
puis Qsampler.
ça fonctionne !

Autres

Optimisation du rules de debian


[+]

Collaborateur(s) de cette page : allany , olinuxx et pianolivier .
Page dernièrement modifiée le Jeudi 14 septembre 2017 11:24:38 par allany.
Le contenu de cette page est licencié sous les termes licence.

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

sub26nico, 21:39, dim. 14 Oct 2018: Salut et bienvenue à blastedpingin :-)
jipeL, 09:42, dim. 14 Oct 2018: Un petit coucou en passant !
sub26nico, 21:05, jeu. 11 Oct 2018: Salut et bienvenue à open_jobxxi et DJPaolo :-)
jipeL, 16:29, jeu. 11 Oct 2018: Bonjour, je viens de soumettre une création dans le forum, dites moi ce que vous en pensez. Merci.
olinuxx, 10:25, mer. 10 Oct 2018: Bonjour et bienvenue à Chico13, Bluedeauville, et à crap0 cool
olinuxx, 10:34, mar. 09 Oct 2018: Il reste une semaine pour tenter de remporter un Mod Duo avec : [Lien]
olinuxx, 10:33, mar. 09 Oct 2018: De la part de l'équipe de l'édito : merci Didier ! biggrin
bluedid29, 15:07, lun. 08 Oct 2018: Waou ! Super édito !!! Bravo l'équipe talentueuse ;-)
ycollet, 18:30, ven. 05 Oct 2018: Je ne vois pas où ça parle de danse dans l'édito ...
allany, 09:26, ven. 05 Oct 2018: Il est dense, l'édito d'octobre ! [Lien]
sub26nico, 23:31, jeu. 04 Oct 2018: Salut et bienvenue à shivala74 :-)
Juzic, 18:51, mer. 03 Oct 2018: Salut à tous!! Merci de m'accueillir dans cette mine d'informations que représente linuxmao. Bravo à tous pour ce travail redoutablement bien fait. Une présentation en règle et due forme de ma personne sous peu. poum-poum-tshack poum-poum-tshack